<?php

$array=json_decode($_GET['jsondata']);

$filteredReportString = '<pre>';
foreach ($array as $currentUser){
    if ($currentUser == '<pre>afabregat'){
        $currentUser = 'afabregat';
    }
    $filteredReportString = $filteredReportString.file_get_contents($currentUser.".txt")."\n";
}

echo $filteredReportString;
?>